<div class="employee-container">


  <div class="form-box">
    <button class="button" (click)="toggleFormState()">
      Добавить сотрудника
      <div class="button__horizontal"></div>
      <div class="button__vertical"></div>
    </button>
    <form
      [formGroup]="employeeForm"
      (ngSubmit)="addEmployee()"
      class="form-container"
      *ngIf="isFormVisible"
      #scrollMe
    >
      <div class="form__group field">
        <input formControlName="username" type="text" class="form__field" placeholder="Имя сотрудника" name="username"
               id='username'/>
        <label for="username" class="form__label">Имя сотрудника</label>
      </div>
      <div class="form__group field">
        <input formControlName="email" type="text" class="form__field" placeholder="Email" name="email" id='email'/>
        <label for="email" class="form__label">Email</label>
      </div>
      <div class="form__group field">
        <input (change)="onFileSelected($event)" formControlName="image" type="file" class="form__field" placeholder="Фотография" name="image" id='image'/>
        <label for="image" class="form__label">Фотография</label>
      </div>
      <div class="form__group field">
        <input formControlName="position" type="text" class="form__field" placeholder="Позиция" name="position"
               id='position'/>
        <label for="position" class="form__label">Позиция</label>
      </div>

      <div class="form__group field">
        <quill-editor
          formControlName="bio"
          id='bio'
          class="editor"
          placeholder="Биография"
        ></quill-editor>
        <label for="bio" class="form__label editor-label">Биография</label>
      </div>
      <div class="form__group field form-bottom">
        <button [disabled]="employeeForm.invalid" class="btn">Добавить</button>
      </div>
    </form>
  </div>

  <div class="table">
    <div class="table-header">
      <div class="header__item"><a class="filter__link">Имя сотрудника</a></div>
      <div class="header__item"><a class="filter__link filter__link--number">Email сотрудника</a></div>
      <div class="header__item"><a class="filter__link filter__link--number">Биография</a></div>
      <div class="header__item"><a class="filter__link filter__link--number">Позиция</a></div>
      <div class="header__item">
        <a class="filter__link filter__link--number">Действия</a>
      </div>
    </div>
    <div class="table-content">
      <ng-container *ngFor="let employee of employees$ | async">
        <div class="table-row">
          <div class="table-data">{{employee.username}}</div>
          <div class="table-data">{{employee.email}}</div>
          <div class="table-data description" [innerHtml]="employee.bio"></div>
          <div class="table-data description">{{employee.position}}</div>
          <div class="table-data icons">
            <a [routerLink]="['/admin/employees/' + employee.id]">
              <img class="table-icon" src="assets/icons/eye-icon.svg" alt="Изменить">
            </a>
            <a (click)="openRemoveModal(employee.id)">
              <img class="table-icon" src="assets/icons/trash-icon.svg" alt="Удалить">
            </a>
          </div>
        </div>
      </ng-container>
    </div>
  </div>

</div>

<ng-container *ngIf="isRemovePopup">
  <app-modal (closeWindow)="isRemovePopup = false">
    <div class="modal-content">
      <p class="alert upper-bold">Вы действительно хотите удалить?</p>
      <button class="btn warning" (click)="removeEmployee()">Подтвердить</button>
    </div>
  </app-modal>
</ng-container>
